% Computation Step-Heating for figure 3
% (temperature rise versus square root of time)
% in STEP - HEATING
% Function used by Plotsh3.m
% Can be called individually with the following parameters:
%  t is time
% g is mismatch factor Gamma
% la = L/sqrt(thermal diffusivity)
% Example of use:
%                  sh3(2,0.5, 4)
%     returns 1.4142
%
% 11 April 2000

function out = sh(t,g,la)
sqrpi=sqrt(pi);
sumsh=0;
t=sqrt(t);
max=10; % number of terms summed
for n=1:max
   nn=(la*n)/t;
   nn2= nn*nn;
   result = exp(-nn2)-(nn*sqrpi*erfc(nn));
   result = (2*((-g)^n))* result;
   sumsh=sumsh+result;
end;
sumsh=(sumsh+1)*(t);
out=sumsh;