%**********
% MATLAB M-File that performs  conversion from float to
% 0-255 values. Function used by 'mat_fl_to_uc.m'
% Inputs are:
%      t_cal         = float to convert
%      tpmin, tpmax  = min and max value span of the float 
%                      to convert
%      m_niv         = slope of the regression line
%      ord_niv       = origin ordinate of the regression line
%
% Adjustable parameters are: none
%
% Date : 13.5.99
%
%*********

function out = calc_echel(t_cal, tpmin, tpmax, m_niv, ord_niv, N_NEG, N_POS)

if (t_cal < tpmin) 
      niveau = N_NEG; % cas des zeros
elseif (t_cal > tpmax)
       niveau = N_POS;
else
       nivfloat = (m_niv * t_cal) + ord_niv;
       %puis on arondi le niveau a une valeur entiere
       niveau = round(nivfloat);
       
end       
 out = niveau; 
