%**********
% MATLAB M-File to reduce the grid size of an image
% To call this function type in the Matlab window
% once the image mat has been made available:
%	mat1=grid_sm(mat,block);
% mat1 is the image which was sampled by blocks of size "blocks"
%
% Date : 17.3.99
% 
% Last modification: 02.06.2000
%
%*********

function out = grid_sm(mat,block)


[mx my]=size(mat);
out=zeros(mx,my);

for x=1:block:mx,
	for y=1:block:my,
		out(x:x+block-1,y:y+block-1)=mat(x,y);
	end
end


% ***** Display the image
colormap(gray);
imagesc(out);
colorbar;
