%**********
% MATLAB M-File to convert a matrix of 'float type' of data (4 bytes
% per pixel): 'float32', floating-point on 32 bits to unsignedc.
%
% Adjustable parameters are:
% N_HAUT = 255;   maximum value in saved image
% N_BAS  =   0;  minimum value in saved image
%
% Note: The [50,255] span allows for comfortable viewing on the
% screen while the [0,255] span is to dark.
% 
% To call this function type in the Matlab window
% once in the directory of interest (file name is d_1234.uc):
%	mat_uc=mat_fl_to_uc(mat);
%
% Date : 13.5.99
%
% Last modofication: 01.06.2000
%
%*********

function out = mat_fl_to_uc(mat)

N_HAUT = 255;
N_BAS  =  0;

[mx my]=size(mat); % size of the image 


% 1st determine min and max of image
maxv=max(mat(:));
minv=min(mat(:));


% 2nd compute slope and origin ordinate
m_niv = (N_HAUT - N_BAS) / (maxv - minv);
ord_niv = N_HAUT - (m_niv * maxv);


% 3rd conversion in level 0-255
nivfloat = m_niv.*mat + ord_niv;
out = round(nivfloat);
