% plot sh values for figure 10.22 (5)
% (normalized temperature rise versus  
% thermal mismatch factor)
% in STEP - HEATING
%
% t is the normalized time
% g is mismatch factor Gamma
% symbol is to overprint on the solid line
%        a symbol. Ex: ko is black (k) with
%        circles (o). Type 'help plot' in
%        Matlab command window for a complete
%        list.
%
% Example of use:
%                   	  Plotsh5(1,'ko');
% (maintain the plot)  hold
% (replot)             Plotsh5(1,'ko');
% (plot next curve)    Plotsh5(2,'ks');
%
% This function uses 'sh4() function that performs
% the computations.

% 11 - 04 -2000

function out = plotsh(t,symbol)

g=-1;
inc_g= 0.01; % plot for g: -1 to +1
for n=1:200
   result(n)=sh4(sqrt(t),g);
   % result(n)= 0;
   gg(n)=g;
   g=g+inc_g;
end;
plot(gg,result,'k');

% and now lets plot spare points


   
ggz(1)=gg(25);
resultz(1)= result(25);
  
ggz(2)=gg(75);
resultz(2)= result(75);

ggz(3)=gg(125);
resultz(3)= result(125);

ggz(4)=gg(150);
resultz(4)= result(150);


plot(ggz,resultz,symbol);

