%**********
% MATLAB M-File to read files of 'float type' of data (4 bytes
% per pixel): 'float32', floating-point on 32 bits.
% A header is account for, if any.
% Adjustable parameters are:
%	Header: number of bytes before the image
%	MaxRow: number of pixels per row
%	Maxcol: number of pixels per row
% 
% To call this function type in the Matlab window
% once in the directory of interest (file name is d_1234.uc):
%	m=read_fl('d_1234.uc');
%
% Date : 13.5.99
%
% Last modification: 02.06.2000
%
%*********

function out = read_fl(file)

fid = fopen(file,'r');
Header = 0; Maxcol = 105; Maxrow = 68;
fread(fid,Header,'uchar');
out1 = fread(fid,[Maxcol,Maxrow],'float32');
fclose(fid);

% ***** Correct for Matlab display (transpose)
out=out1';

% ***** Display the image
colormap(gray);
imagesc(out);
colorbar;