%**********
% snr.m
%
% MATLAB M-File for computation of the signal
% to noise ratio between two images mat1 and mat2
% recorded one after another, based on eq.(5.13).
% Images are of unsigned characters type.
%
% Example of use:
%  snr(mat1,mat2);
%
% Date : 17.05.2000
%
% Last modification: 01.06.2000
%
%**********

function  snr(mat1,mat2)


% ***** Size of matrice
[mrow, mcol]=size(mat1);


% ***** Average power image
sumofApower2=sum(mat1(:).^2);
% element-by-element power 2 then sum all elements
avpi=sumofApower2/(mrow*mcol);


% ***** Average power noise
N=abs(mat1-mat2);	% noise, absolute value of mat1 minus mat2
stdN=std(N(:))	% standard deviation of N

avpn=0.5*(stdN^2);

% ***** SNR signal to noise ratio
SNR=10*log10(avpi/avpn)
